## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class UnpackExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.UnpackExpImpl

All Implemented Interfaces:
  ImperativeExpression, UnpackExp

    public class UnpackExpImpl

extends ImperativeExpressionImpl
implements UnpackExp

An implementation of the model object 'Unpack Exp'.

The following features are implemented:

- `Source`
- `Target Variable`

Field Summary
`protected OCLExpression` `source` The cached value of the '`Source`' containment reference
`protected <any>` `targetVariable` The cached value of the '`Target Variable`' reference list

Constructor Summary
`protected` `UnpackExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`NotificationChain` `basicSetSource(OCLExpression newSource, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression` `getSource()`
`<any>` `getTargetVariable()`
`void` `setSource(OCLExpression newSource)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected OCLExpression source

  The cached value of the '`Source`' containment reference.

  See Also:
    `getSource()`

### targetVariable

    protected <any> targetVariable

  The cached value of the '`Target Variable`' reference list.

  See Also:
    `getTargetVariable()`

Constructor Detail

### UnpackExpImpl

    protected UnpackExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getSource

    public OCLExpression getSource()

  Specified by:
    `getSource` in interface `UnpackExp`
  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `UnpackExp.setSource(OCLExpression)`, `ImperativeOCLPackage.getUnpackExp_Source()`

### basicSetSource

    public NotificationChain basicSetSource(OCLExpression newSource,
                                            NotificationChain msgs)

### setSource

    public void setSource(OCLExpression newSource)

  Specified by:
    `setSource` in interface `UnpackExp`
  Parameters:
    `newSource` - the new value of the 'Source' containment reference.
  See Also:
    `UnpackExp.getSource()`

### getTargetVariable

    public <any> getTargetVariable()

  Specified by:
    `getTargetVariable` in interface `UnpackExp`
  Returns:
    the value of the 'Target Variable' reference list.
  See Also:
    `ImperativeOCLPackage.getUnpackExp_TargetVariable()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.